<html>
<head>
<title>Ogre::AndroidGLContext Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AndroidGLContext.html">AndroidGLContext</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::AndroidGLContext Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::AndroidGLContext" --><!-- doxytag: inherits="Ogre::GLES2Context" -->
<p><code>#include &lt;<a class="el" href="OgreAndroidGLContext_8h_source.html">OgreAndroidGLContext.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::AndroidGLContext:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1AndroidGLContext__inherit__graph.gif" border="0" usemap="#Ogre_1_1AndroidGLContext_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1AndroidGLContext_inherit__map" id="Ogre_1_1AndroidGLContext_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1GLES2Context.html" title="Class that encapsulates an GL context." alt="" coords="15,5,161,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1AndroidGLContext-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AndroidGLContext.html#a20e7e5999de9bbf59b3d6874259c4e4d">AndroidGLContext</a> (const <a class="el" href="classOgre_1_1AndroidGLSupport.html">AndroidGLSupport</a> *glsupport, int handle)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AndroidGLContext.html#a8df865a925d7161b243b69833917937d">~AndroidGLContext</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AndroidGLContext.html#a0abace85feef0d5598c579a62b803edc">setCurrent</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable the context.  <a href="#a0abace85feef0d5598c579a62b803edc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AndroidGLContext.html#a8268aa78d34f787f8cf1dc67c46b6bd4">endCurrent</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is called before another context is made current.  <a href="#a8268aa78d34f787f8cf1dc67c46b6bd4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLES2Context.html">GLES2Context</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AndroidGLContext.html#aa57da0181551d922d5b61d25d88c776d">clone</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.  <a href="#aa57da0181551d922d5b61d25d88c776d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AndroidGLContext.html#a9d30b078f93ec6ed793bb13edd552815">setDelegate</a> (<a class="el" href="classOgre_1_1AndroidGLContextDelegate.html">AndroidGLContextDelegate</a> *delegate)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AndroidGLContextDelegate.html">AndroidGLContextDelegate</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AndroidGLContext.html#a5eca1b1c774e01fed1d159cf01051cb5">getDelegate</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AndroidGLContext.html#ac34b914bc146cb0244f14693149f8644">getHandle</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#abd71a4bfddbdf111e429e9ff825af985">getInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#aae3d4471c090572da0ced04cde4b87bf">setInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#a15cc115c6f857dad066218f1225c4283">releaseContext</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Release the render context.  <a href="#a15cc115c6f857dad066218f1225c4283"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#adb1cc0fc703a49897a6401dc264b39fa">initialized</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1AndroidGLSupport.html">AndroidGLSupport</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AndroidGLContext.html#a0aa2d03dc67187c24ac9ec89e6b1d97a">mGLSupport</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AndroidGLContext.html#ae45e99e05795a0ec725e7b8eb7969f9e">mHandle</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AndroidGLContextDelegate.html">AndroidGLContextDelegate</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AndroidGLContext.html#abf30187d83e8678fc03462abbc272755">mDelegate</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreAndroidGLContext_8h_source.html#l00045">45</a> of file <a class="el" href="OgreAndroidGLContext_8h_source.html">OgreAndroidGLContext.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a20e7e5999de9bbf59b3d6874259c4e4d"></a><!-- doxytag: member="Ogre::AndroidGLContext::AndroidGLContext" ref="a20e7e5999de9bbf59b3d6874259c4e4d" args="(const AndroidGLSupport *glsupport, int handle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AndroidGLContext.html#a20e7e5999de9bbf59b3d6874259c4e4d">Ogre::AndroidGLContext::AndroidGLContext</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AndroidGLSupport.html">AndroidGLSupport</a> *&#160;</td>
          <td class="paramname"><em>glsupport</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>handle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8df865a925d7161b243b69833917937d"></a><!-- doxytag: member="Ogre::AndroidGLContext::~AndroidGLContext" ref="a8df865a925d7161b243b69833917937d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1AndroidGLContext.html#a8df865a925d7161b243b69833917937d">Ogre::AndroidGLContext::~AndroidGLContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa57da0181551d922d5b61d25d88c776d"></a><!-- doxytag: member="Ogre::AndroidGLContext::clone" ref="aa57da0181551d922d5b61d25d88c776d" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLES2Context.html">GLES2Context</a>* <a class="el" href="classOgre_1_1AndroidGLContext.html#aa57da0181551d922d5b61d25d88c776d">Ogre::AndroidGLContext::clone</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>The caller is responsible for deleting the returned context. </dd></dl>

<p>Implements <a class="el" href="classOgre_1_1GLES2Context.html#a51a9d3eec418eb63ccd740a674bd2afe">Ogre::GLES2Context</a>.</p>

</div>
</div>
<a class="anchor" id="a8268aa78d34f787f8cf1dc67c46b6bd4"></a><!-- doxytag: member="Ogre::AndroidGLContext::endCurrent" ref="a8268aa78d34f787f8cf1dc67c46b6bd4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AndroidGLContext.html#a8268aa78d34f787f8cf1dc67c46b6bd4">Ogre::AndroidGLContext::endCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This is called before another context is made current. </p>
<p>By default, nothing is done here. </p>

<p>Implements <a class="el" href="classOgre_1_1GLES2Context.html#aa17e4083d95a9ddaa4a57d3796266ddb">Ogre::GLES2Context</a>.</p>

</div>
</div>
<a class="anchor" id="a5eca1b1c774e01fed1d159cf01051cb5"></a><!-- doxytag: member="Ogre::AndroidGLContext::getDelegate" ref="a5eca1b1c774e01fed1d159cf01051cb5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AndroidGLContextDelegate.html">AndroidGLContextDelegate</a>* <a class="el" href="classOgre_1_1AndroidGLContext.html#a5eca1b1c774e01fed1d159cf01051cb5">Ogre::AndroidGLContext::getDelegate</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac34b914bc146cb0244f14693149f8644"></a><!-- doxytag: member="Ogre::AndroidGLContext::getHandle" ref="ac34b914bc146cb0244f14693149f8644" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1AndroidGLContext.html#ac34b914bc146cb0244f14693149f8644">Ogre::AndroidGLContext::getHandle</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="abd71a4bfddbdf111e429e9ff825af985"></a><!-- doxytag: member="Ogre::AndroidGLContext::getInitialized" ref="abd71a4bfddbdf111e429e9ff825af985" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLES2Context.html#abd71a4bfddbdf111e429e9ff825af985">Ogre::GLES2Context::getInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00058">58</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="a15cc115c6f857dad066218f1225c4283"></a><!-- doxytag: member="Ogre::AndroidGLContext::releaseContext" ref="a15cc115c6f857dad066218f1225c4283" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLES2Context.html#a15cc115c6f857dad066218f1225c4283">Ogre::GLES2Context::releaseContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Release the render context. </p>

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00070">70</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0abace85feef0d5598c579a62b803edc"></a><!-- doxytag: member="Ogre::AndroidGLContext::setCurrent" ref="a0abace85feef0d5598c579a62b803edc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1AndroidGLContext.html#a0abace85feef0d5598c579a62b803edc">Ogre::AndroidGLContext::setCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable the context. </p>
<p>All subsequent rendering commands will go here. </p>

<p>Implements <a class="el" href="classOgre_1_1GLES2Context.html#a934c8c93b407843c7bd6f1112730ac5f">Ogre::GLES2Context</a>.</p>

</div>
</div>
<a class="anchor" id="a9d30b078f93ec6ed793bb13edd552815"></a><!-- doxytag: member="Ogre::AndroidGLContext::setDelegate" ref="a9d30b078f93ec6ed793bb13edd552815" args="(AndroidGLContextDelegate *delegate)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AndroidGLContext.html#a9d30b078f93ec6ed793bb13edd552815">Ogre::AndroidGLContext::setDelegate</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AndroidGLContextDelegate.html">AndroidGLContextDelegate</a> *&#160;</td>
          <td class="paramname"><em>delegate</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aae3d4471c090572da0ced04cde4b87bf"></a><!-- doxytag: member="Ogre::AndroidGLContext::setInitialized" ref="aae3d4471c090572da0ced04cde4b87bf" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLES2Context.html#aae3d4471c090572da0ced04cde4b87bf">Ogre::GLES2Context::setInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00059">59</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="adb1cc0fc703a49897a6401dc264b39fa"></a><!-- doxytag: member="Ogre::AndroidGLContext::initialized" ref="adb1cc0fc703a49897a6401dc264b39fa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLES2Context.html#adb1cc0fc703a49897a6401dc264b39fa">Ogre::GLES2Context::initialized</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00073">73</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="abf30187d83e8678fc03462abbc272755"></a><!-- doxytag: member="Ogre::AndroidGLContext::mDelegate" ref="abf30187d83e8678fc03462abbc272755" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AndroidGLContextDelegate.html">AndroidGLContextDelegate</a>* <a class="el" href="classOgre_1_1AndroidGLContext.html#abf30187d83e8678fc03462abbc272755">Ogre::AndroidGLContext::mDelegate</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAndroidGLContext_8h_source.html#l00050">50</a> of file <a class="el" href="OgreAndroidGLContext_8h_source.html">OgreAndroidGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0aa2d03dc67187c24ac9ec89e6b1d97a"></a><!-- doxytag: member="Ogre::AndroidGLContext::mGLSupport" ref="a0aa2d03dc67187c24ac9ec89e6b1d97a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1AndroidGLSupport.html">AndroidGLSupport</a>* <a class="el" href="classOgre_1_1AndroidGLContext.html#a0aa2d03dc67187c24ac9ec89e6b1d97a">Ogre::AndroidGLContext::mGLSupport</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAndroidGLContext_8h_source.html#l00048">48</a> of file <a class="el" href="OgreAndroidGLContext_8h_source.html">OgreAndroidGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae45e99e05795a0ec725e7b8eb7969f9e"></a><!-- doxytag: member="Ogre::AndroidGLContext::mHandle" ref="ae45e99e05795a0ec725e7b8eb7969f9e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1AndroidGLContext.html#ae45e99e05795a0ec725e7b8eb7969f9e">Ogre::AndroidGLContext::mHandle</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAndroidGLContext_8h_source.html#l00049">49</a> of file <a class="el" href="OgreAndroidGLContext_8h_source.html">OgreAndroidGLContext.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAndroidGLContext_8h_source.html">OgreAndroidGLContext.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:26
</p>
</body>
</html>
